
//See the file LICENSE for redistribution information.

//Copyright (c) 2002,2007 Oracle.  All rights reserved.

//$Id: XmlMetaData.java,v 1.17 2008/01/25 19:45:00 lauren Exp $


package com.sleepycat.dbxml;

public class XmlMetaData {
    private String name;
    private XmlValue value;
    private String uri;
    private boolean modified;
    private boolean removed;

    protected XmlMetaData(String uri, String name, XmlValue value) throws XmlException{
	if(value.isNull() || value.isNode())
	    throw (new XmlException(XmlException.INVALID_VALUE, "Metadata cannot be a node or null value."));
	this.name = name;
	this.value = value;
	this.uri = uri;
	modified = false;
	removed = false;
    }

    public String get_uri() throws XmlException {
	return uri;
    }

    public String get_name() throws XmlException {
	return name;
    }

    public XmlValue get_value() throws XmlException { 
	return value;
    }
	
    protected void set_modified(boolean mod) {
	modified = mod;
    }
	
    protected void set_removed(boolean rem) {
	removed = rem;
    }
    protected boolean get_modified() {
	return modified;
    }
  
    protected boolean get_removed() {
	return removed;
    }
  
    protected void set_value(XmlValue data) throws XmlException { 
	if(value.isNull() || value.isNode())
	    throw (new XmlException(XmlException.INVALID_VALUE, "Metadata cannot be a node or null value."));
	value = data;
    }
	
}
